首页 文章
  • 1 votes
     answers
     views

    气流1.10安装失败

    我有一个使用Airflow版本1.9的Airflow环境,该环境在Amazon EC2实例上运行 . 我需要升级到Airflow的最新版本1.10 . 我可以选择从1.9版升级或在新服务器上新安装1.10 . 气流版本1.10未在Pip上列出,所以我通过此命令从Git安装它, pip-3.6 install git+git://github.com/apache/incubator-airflow...
  • 1 votes
     answers
     views

    无法在Jupyter中安装fancyimpute

    我一直试图在Jupyter笔记本上导入fancyimpute,因为我有兴趣使用K Nearest Neighbors进行数据插补 . 但是,我继续得到屏幕截图中描述的错误 . 我已经尝试安装以下依赖项: pip安装ecospip安装CVXcanonpip安装keraspip install tensorflowpip install fancyimpute 错误消息如下: 使用TensorFlow...
  • 1 votes
     answers
     views

    导入tensorflow模块时出错

    我尝试用Python学习TensorFlow . 我的问题是导入TF模块 . 这是我的配置: Python 3.6.1 , Windows 7 (与MSVCP140.dll) 我已经通过命令安装了TensorFlow(在电源shell中) . 有用 . python -m pip install --upgrade tensorflow 但是当我运行python环境并尝试导入Tensor Flo...
  • 9 votes
     answers
     views

    SSLError使用pip install(安装tensorflow)

    安装TF时出现异常: 文件“/usr/local/lib/python2.7/dist-packages/pip/_vendor/cachecontrol/adapter.py”,第46行,发送resp = super(CacheControlAdapter,self).send(request,** kw )文件“/usr/local/lib/python2.7/dist-packages/p...
  • 116 votes
     answers
     views

    virtualenv --no-site-packages和pip仍在寻找全球包?

    我的印象是 virtualenv --no-site-packages 会创建一个完全独立且孤立的Python环境,但它似乎没有 . 例如,我在全局安装了python-django,但希望使用不同的Django版本创建virtualenv . $ virtualenv --no-site-packages foo New python executable in foo/bin/py...
  • 309 votes
     answers
     views

    将pip包安装到$ HOME文件夹

    可能吗?安装pip时,在我的 $HOME 文件夹中安装python包 . (例如,我想安装 mercurial ,使用 pip ,但在 $HOME 内而不是 /usr/local ) 我正在使用mac机器,只是想到了这种可能性,而不是"polluting"我的 /usr/local ,我会使用我的 $HOME 代替 . PEP370正是这个 . 只是创建一个 ˜/.local...
  • 6 votes
     answers
     views

    使用ArcGIS安装的Python 2.7安装pip

    我正在尝试在Windows 8.1上安装Scrapy for Python 2.7,我知道我首先需要安装pip . 由于我通过ArcGIS 10.2安装了Python,我认为我需要在C:\ Python27 \ ArcGIS10.2 \ lib \ site-packages下安装pip . 一旦pip安装在该目录中,我收到错误代码: >>> import pip Traceba...
  • 1 votes
     answers
     views

    在OSX中使用python 2.7安装scrapy

    当我试图安装scrapy时,我遇到以下错误 . 以下是我终端的输出,有什么建议吗? python是2.7,pip是9.0.3来自/Library/Python/2.7/site-packages(python 2.7) 点子安装Scrapy 终端输出(只有最后一个例外部分) Installing collected packages: six, w3lib, cssselect, lxml, pa...
  • 22 votes
     answers
     views

    使用pip和python 2.7在Windows 7上安装lxml

    当我尝试在我的Windows 7机器上使用pip升级lxml时,我得到下面打印的日志 . 当我卸载并尝试从头开始安装时,我得到了同样的错误 . 有任何想法吗? 从https://pypi.python.org/packages/source/l/lxml/l xml-3.2.4.tar.gz下载/解包lxml#md5 = cc363499060f615aca1ec8dcc04df331正在下载l...
  • -1 votes
     answers
     views

    在新的Scrapy版本中安装cffi时出错

    我收到以下错误日志安装scrapy像 pip install scrapy --upgrade 在一些gooogling我找到了一个相关的issue with cffi here但是那里提到的解决方法pip install -I cffi == 0.8.1也不起作用: ------------------------------------------------------------ C:\P...
  • 115 votes
     answers
     views

    如何在Anaconda(Conda)环境中跟踪pip安装的软件包?

    我已经安装并使用了Anaconda Python发行版,我已经开始使用Anaconda(Conda)环境了 . 我可以使用标准的 conda install... 命令将包中的包放入我的环境中,但是要使用外部的任何东西(例如Flask-WTF,flask-sqlalchemy和alembic),我需要在活动环境中使用 pip install . 但是,当我查看环境的内容时,无论是在目录中,还是使...
  • 44 votes
     answers
     views

    使用Pip将软件包安装到Anaconda Environment

    conda 4.2.13 MacOSX 10.12.1 我正在尝试将包从 pip 安装到使用anaconda创建的新环境(虚拟) . In the Anaconda docs它说这很好 . 它的执行方式与virtualenv相同 . 激活你想要放置程序的环境,然后pip安装程序...... 我在Ananconda中创建了一个空的环境,如下所示: conda create -n shrink_...
  • 2 votes
     answers
     views

    安装Dash的问题(情节)

    当尝试使用pip和conda安装Dash包时,我收到一条错误消息,指出无法找到该包 . 所有其他包用pip安装好 短跑包:https://plot.ly/dash/getting-started pip install dash==0.18.3 异常:回溯(最近一次调用最后一次):文件“C:\ Users \ Owner \ Anaconda3 \ lib \ site-packages \ ...
  • 1 votes
     answers
     views

    pytorch PIP和CONDA错误?

    伙计我是python和deeplearning世界的新手 我尝试使用conda安装pytorch 我得到这个错误...... (base) C:\WINDOWS\system32>conda install pytorch `解决环境:失败 PackagesNotFoundError:当前渠道无法使用以下软件包: pytorch 目前的渠道: https://repo.cont...
  • 16 votes
     answers
     views

    pip冻结和conda列表之间的区别

    我使用“pip freeze”和“conda list”来列出我环境中安装的软件包,但它们的区别是什么?
  • 0 votes
     answers
     views

    conda environment pip正在尝试全局安装依赖项

    不知怎的,我的Python / Conda / Pip安装是这样的,即使在活动的conda环境中运行时,pip也会尝试安装到全局的site-packages目录 . 在运行10.12.4的macbook pro上,我可以通过以下方式重现: 创建一个conda环境: $conda create -n test python=3.6 激活conda环境: $source activate te...
  • 0 votes
     answers
     views

    PIP现在因为我的空间不足而被打破

    我试图运行此命令并收到以下错误: $ pip install --upgrade pip收集点下载https://files.pythonhosted.org/packages/5f/25/e52d3f31441505a5f3af41213346e5b6c221c9e086a166f3703d2ddaf940/pip-18.0-py2.py3-none-any.whl(1.3MB)100% |█...
  • 6 votes
     answers
     views

    为什么我没有权限在virtualenv中安装psycopg2

    我的目标是提供一个在运行Ubuntu的EC2实例上使用postgres的hello world Django应用程序 . 我通过ssh登录并使用此requirements.txt克隆了包含Django项目的git repo: Django==1.8.2 djangorestframework==3.1.2 psycopg2==2.6 我创建了一个virtualenv然后,当我运行 (ec...
  • 0 votes
     answers
     views

    无法在python2.6中使用PIP更新/添加任何包

    Python版本 - Python 2.6.9 PIP版本 - 来自/usr/lib64/python2.6/site-packages(python 2.6)的pip 8.1.2 I Tried using all the available options on stackoverflow, but nothing worked out for me ! I don't want to up...
  • 0 votes
     answers
     views

    在Docker容器内安装pip时出错

    所以我尝试通过首先复制安装文件来下载docker容器中的pip docker cp get-pip.py dock:get-pip.py 然后我走进了容器 docker exec -it 58 bash 然后我尝试python get-pip.py文件,我得到以下错误 . 重试(重试(总计= 4,连接=无,读取=无,重定向=无))连接被“NewConnectionError(':无法 B...
  • 10 votes
     answers
     views

    为什么docker在/ python包中看起来很简单?

    我一直试图让django在一个docker容器中通过uwsgi运行 . 我有django在docker中运行,内置了web服务器,但是现在我已经修改了requirements.txt以包含uwsgi,我不断收到以下错误消息: 重试(重试(总计= 4,连接=无,读取=无,重定向=无))连接被'NewConnectionError(':无法 Build 新连接:[Errno -2]名称或服务未知'连...
  • -1 votes
     answers
     views

    使用pip安装时出错[复制]

    这个问题在这里已有答案: Installing lxml for Python 3.4 on Windows x 86 (32 bit) with Visual Studio C++ 2010 Express 3个答案 我正在尝试安装lxml但是得到以下错误,我使用的是Windows框: 命令:pip install lxml 错误: 您使用的是pip版本7.1.0,但版本8.1.0可用 ....
  • 0 votes
     answers
     views

    使用'pip install celery'在ubuntu上安装celery时出错

    OSError:[Errno:13]权限被拒绝:'usr / local / lib / python2.7 / dist-packages'
  • 1 votes
     answers
     views

    使用pip faces错误在ubuntu16.04上安装Django

    我试图使用 pip install Django==1.10 在我的ubuntu 16.04上安装Django1.10 . 现在,我知道如何通过 . 这是错误: 异常:回溯(最近一次调用最后一次):文件“/home/atenagm/.local/lib/python2.7/site-packages/pip/basecommand.py”,第215行,主状态= self.run( optio...
  • 0 votes
     answers
     views

    Pip Error python

    当我想获得pip升级或安装包时,我遇到了错误 . 我知道我的答案可能在这个论坛上,但我找不到 . 所以我的错误是: 异常:回溯(最近一次调用最后一次):文件“/usr/lib/python2.7/dist-packages/pip/basecommand.py”,第122行,主状态= self.run(options,args)文件“ /usr/lib/python2.7/dist-packag...
  • 0 votes
     answers
     views

    无法通过pip安装软件包

    Python:2.7.12 点数:8.1.1 当我 sudo pip install pandas 时,它显示如下: 异常:回溯(最近一次调用最后一次):文件“/usr/lib/python2.7/dist-packages/pip/basecommand.py”,第209行,主状态= self.run(options,args)文件“ /usr/lib/python2.7/dist-packa...
  • -1 votes
     answers
     views

    试图运行Scrapy

    我正在尝试运行Scrapy并遇到以下错误 . 似乎Scrapy找不到TheTwisted 10.0.0 - 我已经下载了它但不知道放置文件夹的位置 . 谢谢! 回溯(最近一次调用最后一次):文件"/usr/local/bin/scrapy",第5行,来自pkg_resources import load_entry_point文件“/System/Library/Framew...
  • 0 votes
     answers
     views

    无法从Linux上的pip安装libsvm

    我正在尝试运行sidekit,因为我需要安装libsvm,并且使用pip我收到以下错误 . 尝试: pip install libsvm , sudo pip install libsvm 和 sudo -H pip install libsvm adit @ adit-HP-ProBook-440-G2:〜$ python Python 2.7.12(默认,2016年11月19日,06:48...
  • 0 votes
     answers
     views

    在Raspberry Pi上安装Flask-ask

    我正在尝试在运行 raspberrian-noobs 的Raspberry Pi上安装 "flask-ask" module . 我正在使用pip命令 "pip3 install flask-ask" 然后它正在进行下载过程,当它尝试安装模块时,我得到了 错误:异常信息:Traceback(最近一次调用最后一次):文件“/usr/lib/python2....
  • 0 votes
     answers
     views

    如何在ubuntu中安装django-channels?

    我曾尝试使用此命令安装django Channels . pip install -U channels 但是我收到了这个错误 下载/解压缩 Channels 正在下载 Channels -2.0.2-py2.py3-none-any.whl清理...异常:回溯(最近一次调用最后一次):文件“/ home / praneet / pral / myvenv / lib / python -wh...

热门问题